// slideshowJSs v3.0
//------------------------------------------------------
//　ユーザー設定部
//　スライドショー毎のタイトル、コメントはcomment.jsで設定
//------------------------------------------------------
// 画像ファイルの場所
var imageDir = "image/";

// 画像プリロード（先読み）設定
// オンにすると画像を先に読み込んでブラウザにキャッシュするため、一回目のスライドショーがスムーズになる。
var preimg = true; //true:オン、false:オフ

//画像フェード用設定
var fade = true; //フェード true:オン、false：オフ
var speed = 33; //フェードスピード。→大：フェードが遅くなる。spped/1000秒
var change = 15; //フェードステップ量。この値を大きくするとフェードが粗くなる。

//------------------↓ 以下は変更不要 ↓------------------
var wx,timerID;
var no = 0; //画像用カウント初期値
var hashNum = totalno-1;
var doc = document;
var sTitle = doc.getElementById("slidetitle");
var comment = doc.getElementById("comm");
var photo_num = doc.getElementById("pnum");
var cr = doc.getElementById("copyright");

//--------------------------
// 初期のブラウザの幅を取得
//--------------------------
function getWindowWidth(){
	return ( window.innerWidth ) ? window.innerWidth : doc.body.clientWidth;
}

//---------------------
//　オブジェクト定義
//---------------------
var SLIDEobj = function(obj,id){
	this._element  = doc.getElementById(id);
	this._style = this._element.style;
	this._obj = obj;
	this._imgLoading = false;
}

//--------------------
//　オブジェクト生成
//--------------------
var Photoobj = new SLIDEobj("Photoobj","slideImg");
var Prevobj = new SLIDEobj("Prevobj","prev");
var Nextobj = new SLIDEobj("Nextobj","next");
if(preimg == false){
	var num2,zero,Loadobj = new SLIDEobj("Loaderobj","loaderblock");
}

//------------------
//　表示関連
//------------------
SLIDEobj.prototype.show = function(){ this._style.visibility = "visible"; }
SLIDEobj.prototype.hide = function(){ this._style.visibility = "hidden"; }

//------------------
//　フェード関連
//------------------
SLIDEobj.prototype.setOpacity = function(opacity){ 
	opacity = (opacity == 100)?99.999:opacity;
	this._style.filter = "alpha(opacity=" + opacity + ")";
	this._style.MozOpacity = opacity/100;
	this._style.opacity = opacity/100;
}

SLIDEobj.prototype.fadeIn = function(opacity, change, speed){ 
	if (opacity <= 100){
		this.setOpacity(opacity);
		opacity += change;
		setTimeout(this._obj + ".fadeIn(" + opacity + "," + change + "," + speed + ")", speed);
	} else {
		this.setOpacity(100);
		this._imgLoading = false;
	}
}

//----------------------------------------
//　画像切替え時、画像非表示・フェードイン
//----------------------------------------
function objHide(){
	Photoobj._imgLoading = true;
	Photoobj.setOpacity(0);
	Prevobj.hide();
	Nextobj.hide();
}

//------------------------------
//　画像表示と画像サイズの取得
//------------------------------
SLIDEobj.prototype.setImg = function(num){
	this._element.onload = function(){
		if(preimg == false){Loadobj.hide();}
		if(fade == true){ 
			Photoobj.fadeIn(0,change,speed); 
		} else {
			Photoobj.setOpacity(100);
			Photoobj._imgLoading = false;
		}
	}
	if(preimg == true){
		this._element.src = p_obj[num].src;
	} else {
		num2 = num+1;
		zero = (num2<10)?0:"";
		this._element.src = imageDir + zero + num2 + ".jpg";
	}
}

//------------------------------
//　カウンタ、コメント更新
//------------------------------
function setComment(imgno){
	comment.innerHTML = COMS[imgno];
	photo_num.innerHTML = (imgno+1) + "/" + totalno + "：";
}

//------------------------------
//　画像表示用タイマー起動
//------------------------------
function setTimer(imgno){
	if(preimg == false){Loadobj.show();}
	setComment(imgno);
	timerID = setTimeout("Photoobj.setImg("+imgno+")",125);
}

//------------
//　画像送り
//------------
function next(){
	if (no == hashNum) { no = 0; } else { no++; }
	setTimer(no);
}

function prev(){
	if (no == 0) { no = hashNum; } else { no--; }
	setTimer(no);
}

//----------------------------------------------
//　マウス位置判定し、矢印を表示・非表示
//----------------------------------------------
function mvMouse(mx){
	if(Photoobj._imgLoading == false){
		wx = getWindowWidth();
		if( mx > (wx / 2) ){
			Prevobj.hide();
			Nextobj.show();
		} else {
			Prevobj.show();
			Nextobj.hide();
		}
	}
}

//#slideareaからマウスが外れたら、矢印を非表示
function outMouse(){
	Prevobj.hide();
	Nextobj.hide();
}


//----------------------------------------------
//　クリック位置を判定しprev,nextに振り分ける
//----------------------------------------------
function clMouse(cx){
	if(Photoobj._imgLoading == false){
		objHide();
		wx = getWindowWidth();
		if (cx > (wx /2)){ next(); } else { prev(); }
	}
}

//----------------------------------------------
//　カーソルキーでprev,nextに振り分け、ESCでクローズ
//----------------------------------------------
doc.onkeyup = function(evt){
	if(Photoobj._imgLoading == false){
		var kc = (window.event) ? window.event.keyCode : evt.keyCode;
		if(kc == 39){
			objHide();
			next();
		} else if(kc == 37){
			objHide();
			prev();
		}
	}
	return false; //safariではキーの動作が2回発生してしまう問題の対策
}

//--------------------
//　初期表示時の動作
//--------------------
objHide();
sTitle.innerHTML = slideTitle;
if(preimg == true){
	var ele = doc.createElement("script");
	ele.type = "text/javascript";
	ele.src = "../slideparts/progressbar.js";
	ele.charset = "UTF-8";
	doc.body.appendChild(ele);
} else {
	cr.style.visibility = "visible";
	Photoobj.show();
	setTimer(0);
}